import '@styles/main.scss';
import { createApp } from 'vue';
import ToastPlugin from 'vue-toast-notification';
import 'vue-toast-notification/dist/theme-default.css';

// Import components
import Subnet from '@scripts/app/Subnet.vue';

// Initialize vue app
function initializeApp(element: string, component: any): void {
    const app = createApp(component);

    // Use plugins and global settings
    app.use(ToastPlugin);

    // Mount the app to a specific DOM element
    app.mount(element);
}

// Load components
initializeApp('#subnet-app', Subnet);
